---
title: get tax provider
slug: api-documentation/get-tax-provider
docTags: 
createdAt: 2026-08-27T17:08:54.010Z
---

{
  "id": "sizLwLheBS05A2-I0_JY5",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.upstartcommerce.com/v1/tax/provider",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/tax/provider",
        "description": "Dev Server"
      }
    ],
    "name": "get tax provider",
    "description": "<p>This endpoint displays all the tax providers against a certain tenant.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li>Authorizers.taxRead</li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>Success-found tax provider(s).</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "",
            "minItems": 1,
            "uniqueItems": true,
            "schema": [
              {
                "name": "tenant",
                "kind": "required",
                "type": "string",
                "description": "Tenant identifier this tax provider is for.",
                "minLength": 1
              },
              {
                "name": "taxProviderId",
                "kind": "required",
                "type": "string",
                "description": "Tax provider identifier."
              },
              {
                "name": "taxProviderName",
                "kind": "required",
                "type": "string",
                "description": "Tax provider name.",
                "minLength": 1
              },
              {
                "name": "enabled",
                "kind": "required",
                "type": "boolean",
                "description": "<p>This flag determines whether the tax provider services can be used by this tenant or not. If it is true, the tax provider's services can be used.</p>"
              }
            ],
            "itemType": "object",
            "customType": "object[]",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "<p>Unauthorized-the provided credentials were invalid for this endpoint.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>Error payload returned by the bad-request and unauthorized responses, identifying the failure by name, code and detail.</p>",
            "customType": "GeneralError",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "Error name.",
                "minLength": 1
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": "Error code.",
                "minLength": 1
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": "Reason why this error occurred.",
                "minLength": 1
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": "Error details.",
                "minLength": 1
              }
            ],
            "modelRef": "#/components/schemas/GeneralError",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "<p>Not Found-the requested resource was not found in the NoChannel system.</p>",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "mKJ3-fP2LNC-h9P9TSbp0",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.upstartcommerce.com/v1/tax/provider \\\n     --header 'accept: application/json' \\\n     --header 'x-upstart-tenant: string'"
        },
        {
          "id": "B4yaUChG6yDgTkol1yoVn",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/tax/provider\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "ARMgX1-eZq4eAkg7COzwv",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/tax/provider\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "rpyC2wrhSWD5U5N_NjhF1",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/tax/provider\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "mKJ3-fP2LNC-h9P9TSbp0"
    },
    "results": {
      "languages": [
        {
          "id": "uNTb2kfvfZVmsrJ6P5M_-",
          "language": "200",
          "code": "// Success-found tax provider(s).\n[\n  {\n    \"tenant\": \"\",\n    \"taxProviderId\": \"\",\n    \"taxProviderName\": \"\",\n    \"enabled\": false\n  }\n]"
        },
        {
          "id": "n1gkjXAKcL_aboYmxF4Rm",
          "language": "401",
          "code": "// Unauthorized-the provided credentials were invalid for this endpoint.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"reason\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "NCGmJg7Ics3LzMKKb7E_P",
          "language": "404",
          "code": "// Not Found-the requested resource was not found in the NoChannel system.\n"
        }
      ],
      "selectedLanguageId": "uNTb2kfvfZVmsrJ6P5M_-"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}